Subject: dhcp leasequery msgtype

From: Patrick Guelat <[email-masked]>
Date: Tue, 14 Dec 1999 14:10:08 -0500 (EST)

I noticed CISCO is using a lot of `new' (draft) dhcp-features in their
cmts-products (Cable modem termination systems, Cisco UBR Series).

They use the agent circuit id option 82 as specified in the draft.
No problem with that one.

But: 

To verify addresses not in the arp table of an interface cisco's 
dhcp server implementation (network registrar 3.01) and the ubr
use a `new' dhcp message type they call 'LEASEQUERY' (type 13).

When the CMTS gets a packet with an unknown source addr on the cable
interface (i.e. that was NOT aquired with dhcp / is not present in
the router's arp-table) the router issues such a 'LEASEQUERY' message
to the dhcp-server.

I traced such a message:

GOT DHCP PACKET WITH LEN 251
        OP    : 1 (BOOTREQUEST)
        HTYPE : 0
        HLEN  : 0
        HOPS  : 0
        XID   : 0
        SECS  : 0
        FLAGS : 0
        CIADDR: 172.16.1.98
        YIADDR: 0.0.0.0
        SIADDR: 0.0.0.0
        GIADDR: 172.16.0.1
        CHADDR: 
        SNAME : 
        FILE  : 

        OPTIONLLEN: 15
        RFC1497 VENDOR MAGIC COOKIE
        OPTION:  53 (DHCP MESSAGE TYPE): 13 - UNKNOWN!!!
        OPTION:  57 (DHCP MAX MSG SIZE): 576
        OPTION:  55 (PARAMETER REQ LIST): 82
        OPTION: 255 (END)

CIADDR seems to be the address to verify.. I have no idea what answer
the UBR expects on this, but it looks like network registrar is
sending DHCPACK and NAK.

Comments ?

	-Patrick